% DOWN2ARR       Inverse function to DOWN3
% ~~~~~~~~
%
%   B = down2arr(A,mA)
%   ~~~~~~~~~~~~~~~~~~
%
%   A   matrix of submatrices A_k located downwards
%   mA  number of rows of submatrix A_k
%   B   matrix time series

function B = down2arr(A,mA)
%        ~~~~~~~~~~~~~~~~~~
[mN,nA] = size(A);
N  = mN/mA;
B  = zeros(mA,nA,N);
m1 = mA-1;
ii = 1

for k = 1:N
	B(:,:,k) = A(ii:ii+m1,:);
	ii = ii+mA;
end
