% DOWN2TS.M        Matrix type down to time series convrsion
% ~~~~~~~~~
%
%   B = down2ts(A,mA)
%   ~~~~~~~~~~~~~~~~~
%   A    matrix of submatrices of matrix time series
%   mA   number of rows of submatrix A_k
%   B    matrix time series

function B = down2ts(A,mA)
%        ~~~~~~~~~~~~~~~~~
[mAN,nA] = size(A);
N  = mAN/mA;
Ak = zeros(mA,nA);
B  = zeros(N,mA*nA);
m1 = mA-1;
ii = 1;

for k = 1:N
	Ak = A(ii:ii+m1,:);
	B(k,:) = Ak(:).';
	ii = ii+mA;
end

