% TSDOWN.M       Transform matrix time series into 
% ~~~~~~~~       a matrix of submatrices placed downwards
%
%   B = tsdown(A,mA)
%   ~~~~~~~~~~~~~~~~
%       A   matrix time series
%       mA  number of rows of a submatrix A_k
%       B   matrix of submatrices A_k

function B = tsdown(A,mA)
%        ~~~~~~~~~~~~~~~~

[N,mn] = size(A);
nA = mn/mA;
b  = zeros(mA,nA);
B  = zeros(N*mA,nA);
iB = 1:mA;

for iA=1:N
   b(:) = A(iA,:);
   B(iB,:) = b;
   iB = iB+mA;
end
