% TSMULC.M      Time-series multiplication by a constant matrix
% ~~~~~~~~
function  C = tsmulc(A,B)
%         ~~~~~~~~~~~~~~~

[mA,nA]  = size(A);
[mB,nB] = size(B);

if mA*nA>=mB*nB;
  N  = mA;
  mA = nA/mB;
  nA = mB;
  Ck = zeros(mA,nB);
  C  = zeros(N,mA*nB);
  Ak = zeros(mA,nA);
  for k = 1:N
      Ak(:) = A(k,:);
      Ck = Ak*B;
      C(k,:)= Ck(:).';
  end % k
else
  N  = mB;
  mB = nA;
  nB = nB/mB;
  Ck = zeros(mA,nB);
  C  = zeros(N,mA*nB);
  Bk = zeros(mB,nB);
  for k = 1:N
      Bk(:) = B(k,:);
      Ck = A*Bk;
      C(k,:)= Ck(:).';
  end % k
end


