% TSLSQL.M     Time-series least squares, (left)
% ~~~~~~~~     C(k) = A(k)\B(k)

function C = tslsql(A,B,mA)
%        ~~~~~~~~~~~~~~~~~~
[N,nA] = size(A);  nA = nA/mA;
[N,nB] = size(B);  nB = nB/mA;
Ak = zeros(mA,nA);
Bk = zeros(mA,nB);
Ck = zeros(nA,nB);
C  = zeros(N,nA*nB);

for k = 1:N
    Ak(:) = A(k,:);
    Bk(:) = B(k,:);
    Ck    = Ak\Bk;
    C(k,:)= Ck(:).';
end % k
