% TSLSQR.M      Time-series least squares (right)
% ~~~~~~~~      C(k) = A(k)/B(k)

function  C = tslsqr(A,B,mA)
%         ~~~~~~~~~~~~~~~~~~

[N,nA] = size(A);  nA = nA/mA;
[N,mB] = size(B);  mB = mB/nA;
Ak = zeros(mA,nA);
Bk = zeros(mB,nA);
Ck = zeros(mA,mB);
C  = zeros(N,mA*mB);

for k = 1:N
    Ak(:) = A(k,:);
    Bk(:) = B(k,:);
    Ck    = Ak/Bk;
    C(k,:)= Ck(:).';
end % k

