function data = inp(prompt,deflt,form,nsp)
%        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
% INP 	Input data from keyboard	v 9.01	June 1998
% ~~~
%   prompt  string of characters
%   deflt   default value of input data
%   form    format of default output
%   nsp     number of leading spaces before prompt
%
%      Examples:
%      ~~~~~~~~
%   p = inp('pressure [MPa]',7.5);
%   if strcmp(inp('Continue','yes'),'yes')
%      % True
%   end
%   A = eval(inp('A','[B,x]'));

global inp_nsp inp_form

if nargin<4
   nsp=inp_nsp; 
   if nargin<3
      form=inp_form;
      if nargin<2, deflt=[];
         if nargin<1 | isempty(prompt), prompt='input';
end, end, end, end
%
if isempty(nsp), nsp=10; end
if isempty(form), form='%9.4f'; end
inp_nsp=nsp;
inp_form=form;
%
str = [blanks(nsp), prompt, ' = '];

if isempty(deflt)		% in case without default value:
  while 1
    data = input(str);
    if ~isempty(data), break, end
  end
else				% in case with default value:
  if isstr(deflt)
    data = input([str, deflt, ' => '],'s');
  else
    [md,nd]=size(deflt);
    if md*nd>1
      data = input([str sprintf(form,deflt(1,1)) ' ... ' ...
                        sprintf(form,deflt(md,nd)) ' => ']);
    else
      data = input([str sprintf(form,deflt) ' => ']);
    end
  end
  if isempty(data)
    data = deflt;
  end
end
