% FIG.M
% ~~~~~
%
%  fih = fig(pos) %          Put/use figure
%  ~~~~~~~~~~~~~~~
%  pos = integer, position code ->
%        - put new figure on the position "pos"
%        - return its handle in fih

function fih = fig(pos)
%%%%%%%%%%%%%%%%%%%%%%%

global fig_

if isempty(fig_)
	figs= zeros(9,4);
	scr = get(0,'ScreenSize');
	scr(4) = scr(4)*.95;
	x   = scr(3)/2;
	y   = scr(4)/2;
	y12 = scr(4)*.52;
	fig_(1,:) = [1,y12,x,y];        %   upper left
	fig_(2,:) = [x+1,y12,x,y];      %   upper right
	fig_(3,:) = [1,1,x,y];          %   lower left
	fig_(4,:) = [x+1,1,x,y];        %   lower right
	fig_(5,:) = scr;                %   full screen
	fig_(6,:) = [1,1,x,scr(4)];     %   left  half screen
	fig_(7,:) = [x+1,1,x,scr(4)];   %   right half screen
	fig_(8,:) = [1,y12,scr(3),y];   %   upper half screen
	fig_(9,:) = [1,1,scr(3),y];     %   lower half screen
end

fih = figure('Position',fig_(pos,:),'toolbar','none');
