% GETFILES.M     Build a matrix out of columns
% ~~~~~~~~~~     read from data files
%
%   pth   path to the directory with data files
%   list  string matrix of data file names (see openset.m)
%   skipl number of initial lines to be skipped from data files
%   N     number of data to be read from data files
%   A     data matrix

function [A,N] = getfiles(pth,list,skipl,N)
%        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[n,j] = size(list);
A = zeros(N,n);

for j = 1:n
   fid = fopen([pth deblank(list(j,:))],'r');
   for k = 1:skipl %     Skip "skipl" lines
      line = fgets(fid);
   end
   [A(:,j),cnt] = fscanf(fid,'%e',N);
   if cnt<N, N=cnt; end
   fclose(fid);
end
A = A(1:N,:);
